# IRdD3DPostProcessingSetup Interface Reference

Inherits IRsDataObject.

List of all members.

## Public Member Functions
HRESULT | SetEnableSuperSample ([in] BOOL Val)
HRESULT | GetEnableSuperSample ([out] BOOL *pVal)
HRESULT | SetEnableGlow ([in] BOOL Val)
HRESULT | GetEnableGlow ([out] BOOL *pVal)
HRESULT | SetHighlightThreshold ([in] float Val)
HRESULT | GetHighlightThreshold ([out] float *pVal)
HRESULT | SetSceneIntensity ([in] float Val)
HRESULT | GetSceneIntensity ([out] float *pVal)
HRESULT | SetBloomIntensity ([in] float Val)
HRESULT | GetBloomIntensity ([out] float *pVal)
HRESULT | SetHighlightIntensity ([in] float Val)
HRESULT | GetHighlightIntensity ([out] float *pVal)
HRESULT | SetGlowQuality ([in] DWORD Val)
HRESULT | GetGlowQuality ([out] DWORD *pVal)
HRESULT | SetGlowDownsample ([in] DWORD Val)
HRESULT | GetGlowDownsample ([out] DWORD *pVal)

## Detailed Description

IRdD3DPostProcessingSetup specifies the properties of default post-processing of D3DView.

## Member Function Documentation

HRESULT IRdD3DPostProcessingSetup::SetEnableSuperSample | ( | [in] BOOL | Val | ) |

Change the super-sampling effect (enable/disable)

Parameters:

  | Val | specifies the status of the super-sampling effect (true for enabled and false for disabled).

HRESULT IRdD3DPostProcessingSetup::GetEnableSuperSample | ( | [out] BOOL * | pVal | ) |

Get the super-sampling effect (enable/disable).

Parameters:

  | pVal | is filled with the status of the super-sampling effect (true for enabled and false for disabled).

HRESULT IRdD3DPostProcessingSetup::SetEnableGlow | ( | [in] BOOL | Val | ) |

Change the glow/bloom effect (enable/disable)

Parameters:

  | Val | specifies the status of the the glow/bloom effect (true for enabled and false for disabled).

HRESULT IRdD3DPostProcessingSetup::GetEnableGlow | ( | [out] BOOL * | pVal | ) |

Get the glow/bloom effect (enable/disable).

Parameters:

  | pVal | is filled with the status of the glow/bloom effect (true for enabled and false for disabled).

HRESULT IRdD3DPostProcessingSetup::SetHighlightThreshold | ( | [in] float | Val | ) |

Set the highlight threshold for the glow effect.

Parameters:

  | Val | specifies the threshold value.

HRESULT IRdD3DPostProcessingSetup::GetHighlightThreshold | ( | [out] float * | pVal | ) |

Get the highlight threshold for the glow effect.

Parameters:

  | pVal | is filled with the the threshold value.

HRESULT IRdD3DPostProcessingSetup::SetSceneIntensity | ( | [in] float | Val | ) |

Set the original scene intensity multiplier for the bloom/glow effect.

Parameters:

  | Val | specifies the intensity multiplier value.

HRESULT IRdD3DPostProcessingSetup::GetSceneIntensity | ( | [out] float * | pVal | ) |

Get the original scene intensity multiplier for the bloom/glow effect.

Parameters:

  | pVal | is filled with the the intensity multiplier value.

HRESULT IRdD3DPostProcessingSetup::SetBloomIntensity | ( | [in] float | Val | ) |

Set the bloom intensity multiplier for the bloom/glow effect.

Parameters:

  | Val | specifies the intensity multiplier value.

HRESULT IRdD3DPostProcessingSetup::GetBloomIntensity | ( | [out] float * | pVal | ) |

Get the bloom intensity multiplier for the bloom/glow effect.

Parameters:

  | pVal | is filled with the the intensity multiplier value.

HRESULT IRdD3DPostProcessingSetup::SetHighlightIntensity | ( | [in] float | Val | ) |

Set the glow intensity multiplier for the bloom/glow effect.

Parameters:

  | Val | specifies the intensity multiplier value.

HRESULT IRdD3DPostProcessingSetup::GetHighlightIntensity | ( | [out] float * | pVal | ) |

Get the glow intensity multiplier for the bloom/glow effect.

Parameters:

  | pVal | is filled with the the intensity multiplier value.

HRESULT IRdD3DPostProcessingSetup::SetGlowQuality | ( | [in] DWORD | Val | ) |

Set the bloom/glow quality. Higher quality means more smoothing passes.

Parameters:

  | Val | specifies the quality value.

HRESULT IRdD3DPostProcessingSetup::GetGlowQuality | ( | [out] DWORD * | pVal | ) |

Get the bloom/glow quality. Higher quality means more smoothing passes.

Parameters:

  | pVal | is filled with the the quality value.

HRESULT IRdD3DPostProcessingSetup::SetGlowDownsample | ( | [in] DWORD | Val | ) |

Set the bloom/glow down-sample ratio. Down-sampling of 1 scales scene to the half size. Down-sampling of 2 scales it to 1/4 and 3 to 1/8.

Parameters:

  | Val | specifies the threshold down-sample ratio.

HRESULT IRdD3DPostProcessingSetup::GetGlowDownsample | ( | [out] DWORD * | pVal | ) |

Get the bloom/glow down-sample ratio. Down-sampling of 1 scales scene to the half size. Down-sampling of 2 scales it to 1/4 and 3 to 1/8.

Parameters:

  | pVal | is filled with the the down-sample ratio value.